#!/bin/sh

set -e -u

DIR="$(pwd)"
cd "$AUTOPKGTEST_TMP"

# Import the module from an empty directory
for py in $(py3versions -s); do
	$py -c 'import session_security; print(session_security);'
done

# Set up the Autopkgtest environment for the upstream testsuite
cp -va "$DIR"/session_security "$DIR"/test_project "$DIR"/setup.py "$DIR"/README.rst "$AUTOPKGTEST_TMP"/

# Run the upstream tests
for py in $(py3versions -s); do
	$py setup.py test
done
